
-- 资源行为记录表：点赞、收藏、分享、浏览、打赏
CREATE TABLE webchat_act.`web_chat_resource_behavior` (
                                                          `ID` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',
                                                          `USER_ID` char(60) DEFAULT NULL COMMENT '用户ID',
                                                          `RESOURCE_INDEX` bigint NOT NULL COMMENT '资源索引',
                                                          `RESOURCE_TYPE` char(30) NOT NULL COMMENT '资源类型',
                                                          `BEHAVIOR_TYPE` char(30) NOT NULL COMMENT '行为',
                                                          `STATUS` tinyint(1) DEFAULT '0' COMMENT '状态',
                                                          `CREATE_DATE` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                          `UPDATE_DATE` datetime DEFAULT NULL COMMENT '更新时间',
                                                          `VERSION` int DEFAULT '0' COMMENT '版本',
                                                          PRIMARY KEY (`ID`),
                                                          KEY `INDEX_STATUS` (`STATUS`),
                                                          KEY `INDEX_USER_ID` (`USER_ID`),
                                                          KEY `INDEX_RESOURCE` (`RESOURCE_TYPE`, `RESOURCE_INDEX`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='资源操作记录表';

-- 评论表
CREATE TABLE webchat_act.`web_chat_comment` (
                                                `ID` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',
                                                `RESOURCE_ID` bigint NOT NULL COMMENT '资源ID',
                                                `RESOURCE_TYPE` char(50) NOT NULL COMMENT '资源类型',
                                                `AUTHOR` char(60) NOT NULL COMMENT '作者',
                                                `STATUS` char(20) NOT NULL COMMENT '状态',
                                                `CONTENT` varchar(2000) DEFAULT NULL COMMENT '正文',
                                                `IMAGES` varchar(1000) DEFAULT NULL COMMENT '图片',
                                                `REPLY_ID` bigint DEFAULT NULL COMMENT '回复ID',
                                                `PARENT_ID` bigint DEFAULT NULL COMMENT '父级评论ID',
                                                `IS_TOP` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否置顶',
                                                `LIKE_COUNT` bigint NOT NULL DEFAULT 0 COMMENT '点赞量',
                                                `TOP_DATE` datetime DEFAULT NULL COMMENT '置顶时间',
                                                `PUB_DATE` datetime DEFAULT NULL COMMENT '发布时间',
                                                `IP` char(20) DEFAULT NULL COMMENT 'IP',
                                                `IP_ADDRESS` char(40) DEFAULT NULL COMMENT 'IP归属地',
                                                `CREATE_BY` char(100) DEFAULT NULL COMMENT '创建人',
                                                `CREATE_DATE` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                `UPDATE_BY` char(100) DEFAULT NULL COMMENT '更新人',
                                                `UPDATE_DATE` datetime DEFAULT NULL COMMENT '更新时间',
                                                `VERSION` int DEFAULT '0' COMMENT '版本',
                                                PRIMARY KEY (`ID`),
                                                KEY `INDEX_RESOURCE_TYPE_ID` (`RESOURCE_TYPE`, `RESOURCE_ID`),
                                                KEY `INDEX_REPLY_ID` (`REPLY_ID`),
                                                KEY `INDEX_PARENT_ID` (`PARENT_ID`),
                                                KEY `INDEX_AUTHOR` (`AUTHOR`),
                                                KEY `INDEX_STATUS` (`STATUS`),
                                                KEY `INDEX_LIKE_COUNT` (`LIKE_COUNT`),
                                                KEY `INDEX_IS_TOP_DATE` (`IS_TOP`, `TOP_DATE`),
                                                KEY `INDEX_PUB_DATE` (`PUB_DATE`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COMMENT='评论表';




