-- 接入支付平台的应用信息表
CREATE TABLE webchat_aigc.`web_chat_bot` (
                                             `ID` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',
                                             `name` char(50) NOT NULL COMMENT '插件名称',
                                             `code` char(20) NOT NULL COMMENT '插件CODE',
                                             `description` varchar(500) NOT NULL COMMENT '应用描述',
                                             `status` TINYINT NOT NULL DEFAULT 0 COMMENT '状态',
                                             `schema` text DEFAULT NULL COMMENT '意图插件Schema定义，json结构，用户插件API参数抽取',
                                             `rule` varchar(2000) DEFAULT NULL COMMENT '抽参规则要求说明补充',
                                             `output_example` text DEFAULT NULL COMMENT '抽参输出示例',
                                             `CREATE_BY` char(100) DEFAULT NULL COMMENT '创建人',
                                             `CREATE_DATE` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                             `UPDATE_BY` char(100) DEFAULT NULL COMMENT '更新人',
                                             `UPDATE_DATE` datetime DEFAULT NULL COMMENT '更新时间',
                                             `VERSION` int DEFAULT '0' COMMENT '版本',
                                             PRIMARY KEY (`ID`),
                                             UNIQUE KEY `INDEX_CODE_STATUS` (`CODE`, `STATUS`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COMMENT='插件管理表';

CREATE TABLE webchat_aigc.`web_chat_bot_plugin` (
                                                    `ID` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',
                                                    `bot_code` char(20) NOT NULL COMMENT 'BOT code',
                                                    `api` varchar(1000) NOT NULL COMMENT '应用名称 ',
                                                    `method` char(4) NOT NULL DEFAULT 'GET' COMMENT '请求方式：GET、POST',
                                                    PRIMARY KEY (`ID`),
                                                    KEY `INDEX_BOT_CODE` (`bot_code`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='插件API管理表';

-- 预知插件bot
INSERT INTO `webchat_aigc`.`web_chat_bot`(`ID`, `name`, `code`, `description`, `status`, `schema`, `rule`, `output_example`, `CREATE_BY`, `CREATE_DATE`, `UPDATE_BY`, `UPDATE_DATE`, `VERSION`)
VALUES (1, '聊天消息总结', 'SUMMARY_CHAT_MESSAHE', '用于总结用户指定时间段内的聊天消息', 1, '{\n	\"function\": \"SUMMARY_CHAT_MESSAGE\",\n	\"description\": \"用于查询用户指定时间段内的聊天消息\",\n	\"parameters\": [{\n			\"name\": \"sourceUsername\",\n			\"value\": \"当前用户，比如‘我’\",\n			\"type\": \"String\"\n		},\n		{\n			\"name\": \"targetUsername\",\n			\"value\": \"目前用户，比如‘张三’\",\n			\"type\": \"String\"\n		},\n		{\n			\"name\": \"startTime\",\n			\"value\": \"开始时间，13位时间戳，如果没有明确时间，默认返回null\",\n			\"type\": \"Long\"\n		},\n		{\n			\"name\": \"endTime\",\n			\"value\": \"结束时间，13位时间戳，如果没有明确时间，默认返回null\",\n			\"type\": \"Long\"\n		}\n	],\n	\"transRules\": [{\n			\"parameter\": \"sourceUsername\",\n			\"transParameter\": \"sourceUserId\",\n			\"rule\": \"name2userId\"\n		},\n		{\n			\"parameter\": \"targetUsername\",\n			\"transParameter\": \"targetUserId\",\n			\"rule\": \"name2userId\"\n		}\n	]\n}', '- 务必关注：时间参数转换使用UTC+8北京时间为时间基准，今天日期是：2025-05-10，今天2025-05-10 00:00:00的开始时间戳：1746806400000\n- 如果query中出现“昨天”，startTime返回昨天00:00:00的13位时间戳，endTime返回昨天23:59:59的13位时间戳，\n如果是”今天上午“，startTime返回今天00:00:00的13位时间戳，endTime返回今天12:00:00的13位时间戳\n- 直接返回参数抽取的json结果，不需要其他不必要的文字解释说明', '{\n	\"function\": \"SUMMARY_CHAT_MESSAGE\",\n	\"description\": \"用于查询用户指定时间段内的聊天消息\",\n	\"parameters\": {\n		{\n			\"name\": \"sourceUsername\",\n			\"value\": \"我\",\n			\"type\": \"String\"\n		},\n		{\n			\"name\": \"targetUsername\",\n			\"value\": \"张三\",\n			\"type\": \"String\"\n		},\n		{\n			\"name\": \"startTime\",\n			\"value\": 1746864297786,\n			\"type\": \"Long\"\n		},\n		{\n			\"name\": \"endTime\",\n			\"value\": 1746864897786,\n			\"type\": \"Long\"\n		}\n	}\n}', NULL, '2025-05-11 01:55:23', NULL, NULL, 0);

-- 预制插件api
INSERT INTO `webchat_aigc`.`web_chat_bot_plugin`(`ID`, `bot_code`, `api`, `method`)
VALUES (1, 'SUMMARY_CHAT_MESSAHE', 'http://localhost/api/chat/message/query', 'GET');